LASTCOMM(1)

NOM
lastcomm – Affichage d’informations à propos des commandes précédemment exécutées

SYNOPSIS

lastcomm
    [ nom_commande ... ]
    [ nom_utilisateur ... ]
    [ nom_terminal ... ]
    [ OPTION ... ]

DESCRIPTION

lastcomm affiche des informations à propos des commandes précédemment exécutées. En l’absence d’argument, lastcomm affiche des informations à propos de toutes les commandes dans acct (le fichier d’enregistrement). Si ce programme est appelé avec un ou plusieurs nom_commande, nom_utilisateur ou nom_terminal, seuls les enregistrements contenant ces items sont affichés. Par exemple, pour trouver quels utilisateurs ont utilisé la commande a.out et quels utilisateurs sont connectés à tty0, saisir :
lastcomm a.out tty0

Cela affiche toute entrée pour laquelle a.out ou tty0 correspondent dans n’importe quel champ d’enregistrement (commande, nom ou terminal). Pour trouver seulement les items qui correspondent à TOUS les arguments de la ligne de commande, l’option -strict-match doit être utilisée. Par exemple, pour lister toutes les exécutions de la commande a.out par l’utilisateur root sur le terminal tty0, saisir :
lastcomm --strict-match --command a.out --user root --tty tty0

L’ordre des arguments n’est pas important.

Pour chaque entrée, les informations suivantes sont affichées :
   + nom de commande du processus
   + drapeaux, tels qu’enregistrés par les routines de comptabilisation du système :
        S -- commande exécutée par le superutilisateur
        F -- commande exécutée après une fourche sans suivi d’exécution
        C -- commande exécutée dans le mode de compatibilité PDP-11 (VAX seulement)
        D -- commande terminée par la création d’un fichier de cliché
        X -- commande dont la fin a été provoquée par le signal SIGTERM
   + nom de l’utilisateur ayant exécuté le processus
   + heure de démarrage du processus

OPTIONS
--strict-match
    Afficher seulement les entrées qui correspondent à TOUS les arguments sur la ligne de commande.
--print-controls
    Afficher les caractères de contrôle.
--user nom_utilisateur
    Lister les enregistrements pour l’utilisateur nom_utilisateur. Cela est utile pour trouver un utilisateur dont le nom est le même qu’une commande (par exemple, ed).
--command nom_commande
    Lister les enregistrements pour la commande nom_commande.
--tty nom_terminal
    Lister les enregistrements pour le tty nom_terminal.
--forwards
    Lire le fichier en avant plutôt qu’en arrière. Cela évite de parcourir le fichier et permet une utilisation à partir d’un pipeline. Cette option doit être indiquée avant tout argument -f.
-f nom_fichier, --file nom_fichier
    Lire à partir du fichier nom_fichier au lieu de acct. Un nom de fichier « - » aboutit à une lecture à partir de l’entrée standard. Soit cela doit être la première option -f, soit l’option --forwards doit précéder toutes les options -f.
--ahz hz
    Utiliser cette option pour indiquer au programme la valeur que AHZ devrait avoir (en hertz). Cette option est utile pour afficher un fichier acct créé sur une autre machine qui a les mêmes ordre d’octet et format de fichier que la machine en cours d’utilisation, mais qui a une valeur différente de AHZ.
-p, --show-paging
    Afficher des statistiques de pagination.
--pid
    Afficher les PID et PPID du processus si le format d’acct version 3 est pris en charge par le noyau.
--pid
    Ajouter le PID du processus et le PID du processus parent dans la sortie (le PID est dans l’avant-dernière colonne et le PID parent dans la dernière). Ces valeurs ne sont affichées que lorsqu’elles sont générées par la fonction acct (cela dépend de la version du noyau).
--debug
    Afficher des informations internes détaillées.
-V, --version
    Afficher le numéro de version de lastcomm.
-h, --help
    Afficher un court message d’utilisation et les emplacements des fichiers du système sur la sortie standard et quitter.

FICHIERS
acct
    The system wide process accounting file. See acct(5) (or pacct(5)) for further details.
/var/log/account
    Ce répertoire contient les fichiers pacct qui contiennent les données binaires de comptabilisation de processus telles qu’écrites par le noyau.

AUTEUR
Les utilitaires de comptabilisation GNU ont été écrits par Noel Cragg <noel@gnu.ai.mit.edu>. La page de manuel a été adaptée de la page texinfo par Susan Kleinmann <sgk@sgk.tiac.net>.

VOIR AUSSI
last(1), acct(5)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>
Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.
Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.